<?php
class EditarClienteAction extends wtActions
{
    public function execute()
    {
        $s_Id    = $this->getRequestParameter( 'i_Id' );

        $a_Ids = explode( "_", $s_Id );
        $this->IdTipoDocumento = $a_Ids[0];
        $IdCompania      = $a_Ids[1];
        $NumeroDocumento = $a_Ids[2];

        $this->b_Save = false;

        try 
        {

            if( $this->getRequestParameter( 'Control' ) )
            {
                //es submit - osea se quiere guarda los datos
                $ClienteNumero      = $this->getRequestParameter( 'ClienteNumero' );
                $ClienteNombre      = $this->getRequestParameter( 'ClienteNombre' );
                $sDireccion         = $this->getRequestParameter( 'sDireccion' );
                $Comentario         = $this->getRequestParameter( 'Comentario' );

                $o_MST_PersonaMastFN = new MST_PersonaMastFN();
                $o_MST_PersonaMastBN = $o_MST_PersonaMastFN->selectByPK( $ClienteNumero );
                
                $ClienteRUC          = $o_MST_PersonaMastBN->getDocumento();
                $ClienteTipoDoc      = $o_MST_PersonaMastBN->getTipoDocumento();
                $ClienteDireccion    = $o_MST_PersonaMastBN->getDireccion();
                $ClienteDistritoDesc = $o_MST_PersonaMastBN->getDistritoDesc();
                $UbigeoCod           = $o_MST_PersonaMastBN->getDistrito();
                //$VendedorAsigna      = $o_MST_PersonaMastBN->getVendedorAsignado();
                //$CanalCliente        = $o_MST_PersonaMastBN->getCanalCliente();
                //$NivelPrecioCliente  = $o_MST_PersonaMastBN->getNivelPrecioCliente();
                if( $this->getRequestParameter( 'sDireccion' ) )
                {
                    $ClienteDireccion = $this->getRequestParameter( 'sDireccion' );
                }
                if( $this->getRequestParameter( 'sDistrito' ) )
                {
                    $ClienteDistritoDesc = $this->getRequestParameter( 'sDistrito' );
                }

                $o_VTA_DocumentoBN = new VTA_DocumentoBN();
                $o_VTA_DocumentoBN->setIdTipoDocumento( $this->IdTipoDocumento );
                $o_VTA_DocumentoBN->setIdCompania( ( int ) $IdCompania );
                $o_VTA_DocumentoBN->setNumeroDocumento( $NumeroDocumento );
                $o_VTA_DocumentoBN->setClienteNumero( $ClienteNumero );
                $o_VTA_DocumentoBN->setClienteNombre( $ClienteNombre );
                $o_VTA_DocumentoBN->setClienteTipoDoc( $ClienteTipoDoc );
                $o_VTA_DocumentoBN->setClienteRUC( $ClienteRUC );
                $o_VTA_DocumentoBN->setClienteDireccion( $ClienteDireccion );
                $o_VTA_DocumentoBN->setClienteReferencia( $ClienteDistritoDesc );
                $o_VTA_DocumentoBN->setUbigeo( $UbigeoCod );
                $o_VTA_DocumentoBN->setComentario( $Comentario );

                //update
                $o_VTA_DocumentoBN->setFechaModificacion( date( "Y-m-d H:i:s" ) );
                $o_VTA_DocumentoBN->setUsuarioModificacion( myUser::getUser()->getUserId() );

                $o_VTA_DocumentoDP = new VTA_DocumentoDP( $o_VTA_DocumentoBN );
                $o_VTA_DocumentoDP->update();

                $this->b_Save = true;
            }
        }
        catch ( Exception $o_Exception )
        {
            echo "<label style='color:red;'><b>".$o_Exception->getMenssage()."</b></label>";
        }
    }
}